## koffice-i18n-trinity 14.1.5

=== koffice-i18n-es/data/koffice/autocorrect/CMakeLists.txt ===
##### other data

install(
  FILES es.xml
  DESTINATION ${DATA_INSTALL_DIR}/koffice/autocorrect
)

## koffice-i18n-trinity 3.5.13.2

=== debian/changelog ===
koffice-i18n-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:14:33 +0200

koffice-i18n-trinity (4:3.5.13-1debian0+ax0~squeeze) squeeze; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 20 Aug 2012 20:54:40 +0200

koffice-l10n (1.6.3-1) unstable; urgency=low

  * New upstream release. Add: bg, nds, ne.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 08 Jun 2007 00:00:08 +0100

koffice-l10n (1.6.2-1) unstable; urgency=low

  * New upstream release. Add: fa, ga, gl, km.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 11 May 2007 10:49:09 +0100

koffice-l10n (1.6.1-2) unstable; urgency=low

  * Removing kdgantt.mo duplicate files (shipped in kde-i18n-* packages).
  * The "I miss my laptop" release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 01 Dec 2006 10:22:01 +0100

koffice-l10n (1.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 30 Nov 2006 20:31:59 +0100

koffice-l10n (1.6.0-1) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:
  * New upstream release.
  * Bumped compat to 5.
  * Removing debhelper from Build-Depens-Indep.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 29 Sep 2006 04:03:44 +0200

koffice-l10n (1.5.2-2) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:
  * Deleting file already packaged in kde-i18n. (Closes: #382031) 

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed,  9 Aug 2006 20:07:20 +0200

koffice-l10n (1.5.2-1) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:
  * New upstream release. Adding: zh_TW.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 14 Jul 2006 18:43:20 +0200

koffice-l10n (1.5.1-1) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:
  * New upstream release. Adding: ms.
  * Bumped standards-version to 3.7.2, no changes required.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 20 May 2006 23:38:51 +0200

koffice-l10n (1.5.0-1) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:
  * New upstream release. Adding: af, ar, bg, br, bs, eo, ga, he, hi, is, ja,
    lt, mk, ro, se, sk, tr, uk, uz.
  * Fixed FTFBS (Closes: #359845).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 13 Apr 2006 16:11:39 +0200

koffice-l10n (1.4.2-1) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * New upstream release.
  * Now upstream source is called koffice-l10n instead koffice-i18n.
  * Repackaged from scratch based on the current kde-i18n packages.
  * Changed to group maintenance by the Debian Qt/KDE group.
  * Dummy packages are no longer necessary. (Closes: #322012)
  * Updated FSF address in copyright file.
  * Bumped standards-version to 3.6.2.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 14 Oct 2005 14:57:48 +0200

koffice-i18n (1.3.5-2) unstable; urgency=low

  * Added full GFDL text to debian/copyright, since the docbook documentation
    is under this license.

 -- Ben Burton <bab@debian.org>  Sat, 26 Mar 2005 15:02:14 +1100

koffice-i18n (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * New language Breton (br).
  * Fixed "Format" menu title in German (closes: #271493).

 -- Ben Burton <bab@debian.org>  Sun, 16 Jan 2005 14:43:16 +1100

koffice-i18n (1.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Wed, 27 Oct 2004 20:27:33 +1000

koffice-i18n (1.3.3-1) unstable; urgency=low

  * New upstream release.
  * New language Welsh (cy).
  * All individual koffice-i18n-<lang> packages now provide koffice-i18n.
  * Package koffice-i18n-eo now recommends kde-i18n-eo, which recently
    became available.

 -- Ben Burton <bab@debian.org>  Sun, 17 Oct 2004 20:26:13 +1000

koffice-i18n (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * New language (hsb).
  * No longer recommends kde-i18n-se, which has been dropped from kde-i18n.

 -- Ben Burton <bab@debian.org>  Mon, 12 Jul 2004 08:55:03 +1000

koffice-i18n (1.3.1-3) unstable; urgency=low

  * Oops.  Fixed typo in depends for koffice-i18n-zhcngb2312.

 -- Ben Burton <bab@debian.org>  Sat,  3 Jul 2004 15:52:27 +1000

koffice-i18n (1.3.1-2) unstable; urgency=low

  * Added Makefile.am for new Tajik (tg) translations; this was missing
    from the original koffice-i18n tarball.
  * Renamed koffice-i18n-zhcngb2312 and koffice-i18n-zhtwbig5 to
    koffice-i18n-zncn and koffice-i18n-zhtw to be consistent with kde-i18n.
  * Recommended kde-i18n-* for those languages for which it's available.
  * Removed incorrect conflicts with kde-i18n-* (using replaces instead of
    conflicts + replaces).
  * Changed descriptions to use "translations" instead of "i18n files" to
    avoid jargon where possible.

 -- Ben Burton <bab@debian.org>  Sun,  6 Jun 2004 22:37:55 +1000

koffice-i18n (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * koffice-i18n-de now suggests openthesaurus-de-kword (closes: #247420).

 -- Ben Burton <bab@debian.org>  Sun,  9 May 2004 15:46:55 +1000

koffice-i18n (1.3.0-2) unstable; urgency=low

  * Don't ship kdgantt.mo, since this is now part of kde-i18n.

 -- Ben Burton <bab@debian.org>  Mon,  8 Mar 2004 00:09:43 +1100

koffice-i18n (1.3.0-1) unstable; urgency=low

  * New upstream release (1.3-final).

 -- Ben Burton <bab@debian.org>  Thu, 29 Jan 2004 09:20:54 +1100

koffice-i18n (1.2.95-1) unstable; urgency=low

  * New upstream release (1.3-rc2).
  * Even more new languages (fi, th).

 -- Ben Burton <bab@debian.org>  Sun, 21 Dec 2003 01:42:56 +1100

koffice-i18n (1.2.94-1) unstable; urgency=low

  * New upstream release (1.3-rc1).
  * More new languages as we approach the 1.3 release (lo, mt, zu).

 -- Ben Burton <bab@debian.org>  Tue,  4 Nov 2003 00:31:26 +1100



=== debian/control ===
Source: koffice-i18n-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Isaac Clerencia <isaac@debian.org>, Ben Burton <bab@debian.org>
Build-Depends-Indep: kdelibs4-trinity-dev
Build-Depends: debhelper (>= 5.0.0), quilt, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.7.2

Package: koffice-i18n-bg-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-bg-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Bulgarian (bg) translations for KOffice
 This package contains the Bulgarian translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-ca-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-ca-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Catalan (ca) translations for KOffice
 This package contains the Catalan translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-cs-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-cs-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Czech (cs) translations for KOffice
 This package contains the Czech translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-cy-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-cy-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Welsh (cy) translations for KOffice
 This package contains the Welsh translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-da-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-da-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Danish (da) translations for KOffice
 This package contains the Danish translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-de-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-de-trinity
Suggests: koffice-trinity, openthesaurus-de-kword
Provides: koffice-i18n-trinity
Description: German (de) translations for KOffice
 This package contains the German translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-el-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-el-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Greek (el) translations for KOffice
 This package contains the greek translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-engb-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-engb-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: British English (en_GB) translations for KOffice
 This package contains the British English (en_GB) translations
 for all applications in the KDE Office Suite.
 
Package: koffice-i18n-es-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-es-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Spanish (es) translations for KOffice
 This package contains the Spanish translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-et-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-et-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Estonian (et) translations for KOffice
 This package contains the Estonian translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-eu-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-eu-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Basque (eu) translations for KOffice
 This package contains the Basque translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-fa-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-fa-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Farsi (fa) translations for KOffice
 This package contains the Farsi translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-fi-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-fi-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Finnish (fi) translations for KOffice
 This package contains the Finnish translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-fr-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-fr-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: French (fr) translations for KOffice
 This package contains the French translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-ga-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-ga-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Irish Gaelic (ga) translations for KOffice
 This package contains the Irish Gaelic translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-gl-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-gl-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Galician (gl) translations for KOffice
 This package contains the Galician translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-hu-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-hu-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Hungarian (hu) translations for KOffice
 This package contains the Hungarian translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-it-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-it-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Italian (it) translations for KOffice
 This package contains the Italian translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-ja-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-ja-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Japanese (ja) translations for KOffice
 This package contains the Japanese translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-km-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-km-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Khmer (km) translations for KOffice
 This package contains the Khmer translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-lv-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-lv-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Latvian (lv) translations for KOffice
 This package contains the Latvian translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-ms-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-ms-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Malay (ms) translations for KOffice
 This package contains the Malay translations for all applications
 in the KDE Office Suite.
 
Package: koffice-i18n-nb-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-nb-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Norwegian Bookmal (nb) translations for KOffice
 This package contains the Norwegian Bookmal translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-nds-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-nds-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Low Saxon (nds) translations for KOffice
 This package contains the Low Saxon translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-ne-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-ne-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Nepali (ne) translations for KOffice
 This package contains the Nepali translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-nl-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-nl-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Dutch (nl) translations for KOffice
 This package contains the Dutch translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-pl-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-pl-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Polish (pl) translations for KOffice
 This package contains the Polish translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-pt-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-pt-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Portuguese (pt) translations for KOffice
 This package contains the Portuguese translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-ptbr-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-ptbr-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Brazilian Portuguese (pt_BR) translations for KOffice
 This package contains the Brazilian Portuguese translations for all
 applications in the KDE Office Suite.
 
Package: koffice-i18n-ru-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-ru-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Russian (ru) translations for KOffice
 This package contains the Russian translations for all applications
 in the KDE Office Suite.
 
Package: koffice-i18n-sk-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-sk-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Slovak (sk) translations for KOffice
 This package contains the Slovak translations for all applications
 in the KDE Office Suite.
 
Package: koffice-i18n-sl-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-sl-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Slovenian (sl) translations for KOffice
 This package contains the Slovenian translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-sr-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-sr-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Serbian (sr) translations for KOffice
 This package contains the Serbian translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-srlatin-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-srlatin-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Latin Serbian (sr@Latn) translations for KOffice
 This package contains the Latin Serbian translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-sv-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-sv-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Swedish (sv) translations for KOffice
 This package contains the Swedish translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-tr-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-tr-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Turkish (tr) translations for KOffice
 This package contains the Turkish translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-uk-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-uk-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Ukrainian (uk) translations for KOffice
 This package contains the Ukrainian translations for all applications
 in the KDE Office Suite.

Package: koffice-i18n-zhcn-trinity
Architecture: all
Section: kde
Recommends: kde-i18n-zhcn-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Chinese Simplified (zh_CN) translations for KOffice
 This package contains the Chinese Simplified translations for all
 applications in the KDE Office Suite.

Package: koffice-i18n-zhtw-trinity

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

languages = `ls -1d *i18n*`

build-stamp:
	dh_testdir

	# Regenerate build system
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	#Configure languages.
	-for i in $(languages); do \
	  cd  $$i && \
	  autoreconf && automake -f && $(MAKE) -f ../admin/Makefile.common && \
	  ./configure $(configkde); \
	  $(MAKE); \
	  cd ..; \
	done

	touch build-stamp

build: build-stamp
-include debian/debiandirs

clean: 
	dh_clean
	dh_testdir
	
	# Remove all language directories.
	rm -rf build-stamp 
	rm -rf debian/*18n*

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	
	-for i in $(languages); do \
	  ( \
	   cd $$i && \
	   echo $$(install_dir) && \
	   $(MAKE) install DESTDIR=`pwd`/../debian/$$i-trinity; \
	   cd .. \
	  ) \
	done
	

	mkdir debian/koffice-i18n-engb-trinity
	cp -aR debian/koffice-i18n-en_GB-trinity/* debian/koffice-i18n-engb-trinity/
	
	mkdir debian/koffice-i18n-ptbr-trinity
	cp -aR debian/koffice-i18n-pt_BR-trinity/* debian/koffice-i18n-ptbr-trinity/
	
	mkdir debian/koffice-i18n-srlatin-trinity
	cp -aR debian/koffice-i18n-sr@Latn-trinity/* debian/koffice-i18n-srlatin-trinity/
	
	mkdir debian/koffice-i18n-zhcn-trinity
	cp -aR debian/koffice-i18n-zh_CN-trinity/* debian/koffice-i18n-zhcn-trinity/

	mkdir debian/koffice-i18n-zhtw-trinity
	cp -aR debian/koffice-i18n-zh_TW-trinity/* debian/koffice-i18n-zhtw-trinity/
	

	#Removing duplicate kdgantt.mo files.
	-rm -f `find . -name "kdgantt.mo"`

	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_strip
	dh_link
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary:	binary-indep 

.PHONY: binary binary-indep clean

## koffice-i18n-trinity 14.0.4

=== debian/changelog ===
koffice-i18n-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:35:20 +0200

## koffice-i18n-trinity 14.0.5

=== debian/changelog ===
koffice-i18n-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:01:51 +0200

## koffice-i18n-trinity 14.0.6

=== debian/changelog ===
koffice-i18n-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:00:57 +0100

=== debian/control ===
Source: koffice-i18n-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Isaac Clerencia <isaac@debian.org>, Ben Burton <bab@debian.org>
Build-Depends-Indep: tdelibs14-trinity-dev
Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.7.2

Package: koffice-i18n-bg-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-bg-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Bulgarian (bg) translations for KOffice
 This package contains the Bulgarian translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-ca-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-ca-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Catalan (ca) translations for KOffice
 This package contains the Catalan translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-cs-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-cs-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Czech (cs) translations for KOffice
 This package contains the Czech translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-cy-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-cy-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Welsh (cy) translations for KOffice
 This package contains the Welsh translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-da-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-da-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Danish (da) translations for KOffice
 This package contains the Danish translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-de-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-de-trinity
Suggests: koffice-trinity, openthesaurus-de-kword
Provides: koffice-i18n-trinity
Description: German (de) translations for KOffice
 This package contains the German translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-el-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-el-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Greek (el) translations for KOffice
 This package contains the greek translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-engb-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-engb-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: British English (en_GB) translations for KOffice
 This package contains the British English (en_GB) translations
 for all applications in the Trinity Office Suite.
 
Package: koffice-i18n-es-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-es-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Spanish (es) translations for KOffice
 This package contains the Spanish translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-et-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-et-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Estonian (et) translations for KOffice
 This package contains the Estonian translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-eu-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-eu-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Basque (eu) translations for KOffice
 This package contains the Basque translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-fa-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-fa-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Farsi (fa) translations for KOffice
 This package contains the Farsi translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-fi-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-fi-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Finnish (fi) translations for KOffice
 This package contains the Finnish translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-fr-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-fr-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: French (fr) translations for KOffice
 This package contains the French translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-ga-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-ga-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Irish Gaelic (ga) translations for KOffice
 This package contains the Irish Gaelic translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-gl-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-gl-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Galician (gl) translations for KOffice
 This package contains the Galician translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-hu-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-hu-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Hungarian (hu) translations for KOffice
 This package contains the Hungarian translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-it-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-it-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Italian (it) translations for KOffice
 This package contains the Italian translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-ja-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-ja-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Japanese (ja) translations for KOffice
 This package contains the Japanese translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-km-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-km-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Khmer (km) translations for KOffice
 This package contains the Khmer translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-lv-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-lv-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Latvian (lv) translations for KOffice
 This package contains the Latvian translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-ms-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-ms-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Malay (ms) translations for KOffice
 This package contains the Malay translations for all applications
 in the Trinity Office Suite.
 
Package: koffice-i18n-nb-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-nb-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Norwegian Bookmal (nb) translations for KOffice
 This package contains the Norwegian Bookmal translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-nds-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-nds-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Low Saxon (nds) translations for KOffice
 This package contains the Low Saxon translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-ne-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-ne-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Nepali (ne) translations for KOffice
 This package contains the Nepali translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-nl-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-nl-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Dutch (nl) translations for KOffice
 This package contains the Dutch translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-pl-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-pl-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Polish (pl) translations for KOffice
 This package contains the Polish translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-pt-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-pt-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Portuguese (pt) translations for KOffice
 This package contains the Portuguese translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-ptbr-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-ptbr-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Brazilian Portuguese (pt_BR) translations for KOffice
 This package contains the Brazilian Portuguese translations for all
 applications in the Trinity Office Suite.
 
Package: koffice-i18n-ru-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-ru-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Russian (ru) translations for KOffice
 This package contains the Russian translations for all applications
 in the Trinity Office Suite.
 
Package: koffice-i18n-sk-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-sk-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Slovak (sk) translations for KOffice
 This package contains the Slovak translations for all applications
 in the Trinity Office Suite.
 
Package: koffice-i18n-sl-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-sl-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Slovenian (sl) translations for KOffice
 This package contains the Slovenian translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-sr-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-sr-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Serbian (sr) translations for KOffice
 This package contains the Serbian translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-srlatin-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-srlatin-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Latin Serbian (sr@Latn) translations for KOffice
 This package contains the Latin Serbian translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-sv-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-sv-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Swedish (sv) translations for KOffice
 This package contains the Swedish translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-tr-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-tr-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Turkish (tr) translations for KOffice
 This package contains the Turkish translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-uk-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-uk-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: Ukrainian (uk) translations for KOffice
 This package contains the Ukrainian translations for all applications
 in the Trinity Office Suite.

Package: koffice-i18n-zhcn-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-zhcn-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity

## koffice-i18n-trinity 14.0.8

=== debian/changelog ===
koffice-i18n-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:50:56 +0200

## koffice-i18n-trinity 14.0.9

=== debian/changelog ===
koffice-i18n-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:09:35 +0200

## koffice-i18n-trinity 14.0.10

=== debian/changelog ===
koffice-i18n-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## koffice-i18n-trinity 14.0.11

=== debian/changelog ===
koffice-i18n-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 20 Aug 2021 00:13:23 +0200

## koffice-i18n-trinity 14.0.12

=== debian/changelog ===
koffice-i18n-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Apr 2022 23:56:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: koffice-i18n-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Isaac Clerencia <isaac@debian.org>, Ben Burton <bab@debian.org>
 Build-Depends-Indep: tdelibs14-trinity-dev
-Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 9~), cdbs, quilt, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.7.2
 
 Package: koffice-i18n-bg-trinity

## koffice-i18n-trinity 14.0.13

=== debian/changelog ===
koffice-i18n-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Oct 2022 01:36:05 +0200

## koffice-i18n-trinity 14.1.0

=== debian/changelog ===
koffice-i18n-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## koffice-i18n-trinity 14.1.1

=== debian/changelog ===
koffice-i18n-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 04:49:21 +0200

## koffice-i18n-trinity 14.1.2

=== debian/changelog ===
koffice-i18n-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Apr 2024 01:37:34 +0200

## koffice-i18n-trinity 14.1.3

=== debian/changelog ===
koffice-i18n-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 29 Sep 2024 23:09:28 +0200

## koffice-i18n-trinity 14.1.4

=== debian/changelog ===
koffice-i18n-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 03 Apr 2025 12:24:00 +0200

## koffice-i18n-trinity 14.1.5~pre6

=== debian/changelog ===
koffice-i18n-trinity (4:14.1.5~pre6-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for c5cf50907a7b8546af517b8e94e426c383bdf56d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 18 Aug 2025 10:52:18 +0200

## koffice-i18n-trinity 14.1.5

=== debian/changelog ===
koffice-i18n-trinity (4:14.1.5-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 18 Aug 2025 10:52:18 +0200

=== debian/control ===
Source: koffice-i18n-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: koffice-i18n-trinity
Architecture: all
Section: tde
Recommends: tde-i18n-trinity
Suggests: koffice-trinity
Provides: koffice-i18n-trinity
Description: All languages (all) internationalized (i18n) files for KOffice
 This package contains the All languages (all) internationalized (i18n)
 files for all applications in Trinity Office Suite.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

I18N_DIR_PREFIX := koffice-i18n
I18N_DEST_PREFIX := $(I18N_DIR_PREFIX)
I18N_DIR_PAT := $(I18N_DIR_PREFIX)-%
I18N_DIRS := $(wildcard $(I18N_DIR_PREFIX)-*)

# Stamps and support variables
cur_lang = $(word 2,$(subst __, ,$@))
cur_lang_target = $(subst @,_,$(cur_lang))
cur_lang_dir = $(patsubst %,$(I18N_DIR_PREFIX)-%,$(cur_lang))
cur_pkg_lang = $(subst _,,$(subst @,,$(subst @latn,latin,$(shell echo $(cur_lang) | tr '[:upper:]' '[:lower:]'))))
cur_pkg = $(I18N_DEST_PREFIX)-$(cur_pkg_lang)-trinity

STAMP_BUILD := $(patsubst $(I18N_DIR_PAT),debian/stamp__%__build,$(I18N_DIRS))
I18N_INSTALL := $(patsubst $(I18N_DIR_PAT),install__%,$(I18N_DIRS))
I18N_CLEAN := $(patsubst $(I18N_DIR_PAT),clean__%,$(I18N_DIRS))

DEB_BUILD_PARALLEL ?= true

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
DEB_MAKE_PARALLEL ?= $(and $(DEB_BUILD_PARALLEL),$(DEB_PARALLEL_JOBS),-j$(DEB_PARALLEL_JOBS))

ifneq "$(wildcard /usr/bin/ninja)" ""
MAKE = ninja -v
DEB_MAKE_ENVVARS += DESTDIR=$(DEB_DESTDIR)
DEB_MAKE_INSTALL_TARGET = install
DEB_CMAKE_NORMAL_ARGS += -GNinja
endif

# The default gzip compressor has been changed in dpkg >= 1.17.0.
deb_default_compress = $(shell LANG=C dpkg-deb --version | head -n1 | \
                         sed -e "s|.*version ||" -e "s| .*||" | \
                         xargs -r dpkg --compare-versions 1.17.0 lt \
                         && echo xz || echo gzip)
ifeq ($(deb_default_compress),gzip)
DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)
endif

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DBUILD_ALL="ON"


build::
	dh_testdir
	dh_prep

ifneq "$(wildcard /usr/bin/ninja)" ""

build:: debian/stamp__build

debian/stamp__build:
	[ -d build ] || \
	mkdir build
	cd build && \
	cmake .. $(DEB_CMAKE_NORMAL_ARGS) $(DEB_CMAKE_EXTRA_FLAGS) && \
	$(MAKE) $(DEB_MAKE_PARALLEL)
	touch $@

else

build:: $(STAMP_BUILD)

$(STAMP_BUILD):
	# Building the '$(cur_lang)' language ...
	[ -d $(cur_lang_dir)/build ] || \
	mkdir $(cur_lang_dir)/build
	[ -e $(cur_lang_dir)/CMakeLists.txt ] || \
	ln -s ../template/commonCMakeLists.txt $(cur_lang_dir)/CMakeLists.txt
	cd $(cur_lang_dir)/build && \
	cmake .. $(DEB_CMAKE_NORMAL_ARGS) $(DEB_CMAKE_EXTRA_FLAGS) && \
	$(MAKE) $(DEB_MAKE_PARALLEL)
	touch $@

endif

install::
	dh_testdir
	dh_testroot

install:: $(I18N_INSTALL)
	dh_testdir
	cat debian/control-source > debian/control
	find debian -name "control-lang-*" | LANG=C sort | xargs -r cat >> debian/control

$(I18N_INSTALL): build
ifneq "$(wildcard /usr/bin/ninja)" ""
	[ ! -e $(cur_lang_dir)/CMakeLists.txt ] || \
	DESTDIR=$(CURDIR)/debian/$(cur_pkg) $(MAKE) -C build install-$(cur_lang_target)
else
	cd $(cur_lang_dir)/build && \
	DESTDIR=$(CURDIR)/debian/$(cur_pkg) $(MAKE) install $(DEB_MAKE_PARALLEL)
endif
	sed -e "s|@lang@|$(cur_lang)|g" \
	    -e "s|@pkg_lang@|$(cur_pkg_lang)|g" \
	    -e "s|@lang_desc@|$$(sed -n '/^\[$(cur_lang)\]/,/^\[/s#^Name=##p' /opt/trinity/share/locale/all_languages)|" \
	    < debian/control-lang > debian/control-lang-$(cur_pkg_lang); \

ifneq "$(wildcard /usr/bin/ninja)" ""

clean: debian-clean

else

clean: $(I18N_CLEAN) debian-clean

$(I18N_CLEAN):
	dh_testdir
	rm -rf $(cur_lang_dir)/build

endif

debian-clean:
	dh_testdir
	rm -rf build
	rm -rf debian/$(I18N_DEST_PREFIX)-*
	rm -f debian/stamp__*
	rm -f debian/control-lang-*
	cat debian/control-source > debian/control
	sed -e "s|@lang@|all|g" \
	    -e "s|-@pkg_lang@||g" \
	    -e "s|@lang_desc@|All languages|" \
	    < debian/control-lang >> debian/control
	dh_clean


binary-arch: build
	dh_testroot
	dh_testdir


binary-indep: build install
	dh_testroot
	dh_testdir
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_link
	dh_strip
	$(if $(wildcard /usr/bin/dh_strip_nondeterminism),\
	dh_strip_nondeterminism)
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)


# Below here is fairly generic really
binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean build install $(I18N_INSTALL)

## koffice-i18n-trinity 14.1.6~pre0

=== debian/changelog ===
koffice-i18n-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c5cf50907a7b8546af517b8e94e426c383bdf56d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 18 Aug 2025 10:52:18 +0200

## koffice-i18n-trinity 14.1.6~pre2

=== debian/changelog ===
koffice-i18n-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 2c1e26b2dbd90ebb39fbc2c209c78091c9375796
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 30 Jan 2026 22:32:42 +0100

## koffice-i18n-trinity 14.2.0~pre75

=== CMakeLists.txt ===
#################################################
#
#  (C) 2020-2022 Slávek Banko
#  slavek.banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( koffice-i18n )


##### include essential cmake modules ###########

include( FindPkgConfig ) # required for find_package( TDE )


##### include our cmake modules #################

include( TDEMacros )


##### find required stuff #######################

find_package( TDE )

include( TDESetupPaths )
tde_setup_paths( )


##### process languages #########################

file( GLOB _dirs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} * )
list( SORT _dirs )

string( REGEX REPLACE "[ \r\n\t]+" ";" _linguas "$ENV{LINGUAS}" )

foreach( _dir IN LISTS _dirs )
  string( REGEX REPLACE "^${PROJECT_NAME}-" "" _lang "${_dir}" )
  if( "${_dir}" MATCHES "^${PROJECT_NAME}-"
      AND IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${_dir}
      AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_dir}/CMakeLists.txt
      AND ( "${_lang}" STREQUAL "en" OR
            "${_linguas}" MATCHES "^;*$" OR
            ";${_linguas};" MATCHES ";${_lang};" ))
    add_subdirectory( ${_dir} )
    string( REGEX REPLACE "@" "_" _lang_target "${_lang}" )
    add_custom_target( install-${_lang_target}
      COMMAND ${CMAKE_COMMAND}
        -DCOMPONENT=${_lang}
        -P ${CMAKE_BINARY_DIR}/cmake_install.cmake
    )
  endif()
endforeach()

=== debian/changelog ===
koffice-i18n-trinity (4:14.2.0~pre75-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for ace1bfe7c45a993645103e1b67f45dea86703f0c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 18 Aug 2025 10:46:12 +0200

## koffice-i18n-trinity 14.2.0~pre77

=== debian/changelog ===
koffice-i18n-trinity (4:14.2.0~pre77-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for a8c9ead3372fc15c98625231ae858fd293921a25
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#koffice-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 30 Jan 2026 19:24:04 +0100
